TTF_CloseFont(3)

NAME
TTF_CloseFont - Dispose of a previously-created font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

void TTF_CloseFont(TTF_Font *font);

DESCRIPTION
Call this when done with a font. This function will free any resources associated with it. It is safe to call this function on NULL, for example on the result of a failed call to TTF_OpenFont ().

The font is not valid after being passed to this function. String pointers from functions that return information on this font, such as

TTF_GetFontFamilyName () and

TTF_GetFontStyleName (), are no longer valid after this call, as well.

FUNCTION PARAMETERS

font
    the font to dispose of.

THREAD SAFETY
This function should not be called while any other thread is using the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_OpenFont(3), •(3), TTF_OpenFontIO(3)